<?php

$db = new PDO('sqlite:' . __DIR__ . '/api.sqlite');
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
$db->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);

$db->query('CREATE TABLE IF NOT EXISTS users (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    email VARCHAR(255) NOT NULL,
    password VARCHAR(255) NOT NULL
)');

/**
 * PHP :
 *
 * Récupérer les données du formulaire.
 * Faire l'insertion en base de données des données en respectant toutes les bonnes pratiques vues en cours.
 * Rediriger l'utilisateur vers la page d'accueil.
 */



if ($_SERVER['REQUEST_METHOD'] === 'POST') 
{
    $email = $_POST['email'];
    $password = password_hash($_POST['password'], PASSWORD_DEFAULT);
    //verifiee
    $stmt = $db->prepare('INSERT INTO users (email, password) VALUES (:email, :password)');
    
    $stmt->bindParam(':email', $email);
    $stmt->bindParam(':password', $password);

    try {
        $stmt->execute();
        header('Location: index.php');
        exit;
    } catch (PDOException $erreur) {
        echo 'Error: ' ;
    }
}

?>





